> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ASNs by expected delivery date range

> Get ASNs by expected delivery date range

### Query parameters

<ParamField query="start_date" type="string" required />

<ParamField query="end_date" type="string" required />

### Responses

<ResponseField name="200" type="ApiResponse_Vec_AsnSummary">
  ASNs by delivery date
</ResponseField>

<ResponseField name="400" type="ErrorResponse">
  Invalid date format
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/asns/delivery-date' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "asn_number": "string",
        "created_at": "2026-07-24T12:00:00Z",
        "expected_delivery_date": null,
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "shipping_address": "string",
        "status": "string",
        "supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "supplier_name": "string",
        "updated_at": "2026-07-24T12:00:00Z"
      }
    ],
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
